﻿using IRaCIS.Application.Interfaces;
using IRaCIS.Application.ViewModels;
using System.Collections.Generic;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Authorization;

namespace IRaCIS.Api.Controllers
{
    /// <summary>
    /// 系统日志
    /// </summary>
    [Route("log")]
    [ApiController, Authorize, ApiExplorerSettings(GroupName = "Common")]
    public class LogController : ControllerBase
    {
        private ILogService _logService;
        public LogController(ILogService logService)
        {
            _logService = logService;
        }

        /// <summary> 查询系统日志信息   </summary>
        
        [HttpPost, Route("getLogList")]
        public IResponseOutput<PageOutput<SystemLogDTO>> GetLogList(QueryLogQueryDTO param)
        {
            return ResponseOutput.Ok(_logService.GetLogList(param)) ;
        }
    }
}
