﻿using IRaCIS.Application.Interfaces;
using IRaCIS.Application.ViewModels;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;


namespace IRaCIS.Api.Controllers
{
    /// <summary>
    /// Financial 支撑信息---项目收入费用
    /// </summary>
    [Route("trialRevenuesPrice")]
    [ApiController, Authorize, ApiExplorerSettings(GroupName = "Financial")]
    public class TrialRevenuesPriceController : ControllerBase
    {
        private readonly ITrialRevenuesPriceService _trialRevenuesPriceService;

        public TrialRevenuesPriceController(ITrialRevenuesPriceService trialRevenuesPriceService)
        {
            _trialRevenuesPriceService = trialRevenuesPriceService;
        }


        /// <summary>
        /// 保存（替换）项目费用收入单价信息[New]
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>

        [HttpPost, Route("addOrUpdateTrialRevenuesPrice")]
        public IResponseOutput AddOrUpdateTrialRevenuesPrice(TrialRevenuesPriceDTO model)
        {
            return _trialRevenuesPriceService.AddOrUpdateTrialRevenuesPrice(model);
        }

        /// <summary>
        /// 获取项目收入费用信息列表[New]
        /// </summary>
        /// <param name="param"></param>
        /// <returns></returns>

        [HttpPost, Route("getTrialRevenuesPriceList")]
        public IResponseOutput<PageOutput<TrialRevenuesPriceDetialDTO>> GetTrialRevenuesPriceList(TrialRevenuesPriceQueryDTO param)
        {
            return ResponseOutput.Ok(_trialRevenuesPriceService.GetTrialRevenuesPriceList(param));
        }
    }
}
