﻿
using System.Collections.Generic;
using IRaCIS.Application.Interfaces;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;
using IRaCIS.Core.Application.Contracts.Trial.DTO;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace IRaCIS.Api.Controllers
{
    /// <summary>
    /// Financial---项目收入价格验证
    /// </summary>
    [Route("trialRevenuesPriceVerification")]
    [ApiController, Authorize, ApiExplorerSettings(GroupName = "Financial")]
    public class TrialRevenuesPriceVerificationController : ControllerBase
    {
        private readonly ITrialRevenuesPriceVerificationService _trialRevenuesPriceVerificationService;

        public TrialRevenuesPriceVerificationController(ITrialRevenuesPriceVerificationService trialRevenuesPriceVerificationService)
        {
            _trialRevenuesPriceVerificationService = trialRevenuesPriceVerificationService;
        }

        [HttpPost, Route("getRevenuesVerifyList")]
        public IResponseOutput<List<RevenusVerifyDTO>> GetRevenuesVerifyList(RevenusVerifyQueryDTO param)
        {
            return ResponseOutput.Ok(_trialRevenuesPriceVerificationService.GetTrialRevenuesVerifyResultList(param));
        }
        [HttpPost, Route("getAnalysisVerifyList")]
        public IResponseOutput<AnalysisVerifyResultDTO> GetAnalysisVerifyList(RevenusVerifyQueryDTO param)
        {
            return ResponseOutput.Ok(_trialRevenuesPriceVerificationService.GetAnalysisVerifyList(param));
        }
    }
}
