﻿using IRaCIS.Application.Interfaces;
using IRaCIS.Application.ViewModels;
using System;
using System.Collections.Generic;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Authorization;

namespace IRaCIS.Api.Controllers
{
    /// <summary>
    /// 机构列表
    /// </summary>
    [Route("institution")]
    [ApiController, Authorize, ApiExplorerSettings(GroupName = "Institution")]
    public class InstitutionController : ControllerBase
    {
        private readonly IInstitutionService _institutionService;
        public InstitutionController(IInstitutionService institutionService)
        {
            _institutionService = institutionService;
        }
        /// <summary> 根据用户类型或机构类型，获取供选择的机构列表[New] </summary>
        
        [HttpGet, Route("getInstitutionList/{typeId:guid}")]
        public IResponseOutput<IEnumerable<InstitutionDTO>> GetInstitutionSelectionList(Guid typeId)
        {
           return  ResponseOutput.Ok(_institutionService.GetInstitutionSelectionByTypeId(typeId)) ;
        }
        
    }
}
