﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using IRaCIS.Application.Interfaces;
using IRaCIS.Application.ViewModels;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace IRaCIS.Core.API.Controllers.Reading
{
    [Route("reading")]
    [ApiController, Authorize, ApiExplorerSettings(GroupName = "Reading")]
    public class ReadingController : ControllerBase
    {
        private readonly IReviewerReadingService _reviewerReadingService;
        public ReadingController(IReviewerReadingService reviewerReadingService)
        {
            _reviewerReadingService = reviewerReadingService;
        }

        /// <summary>
        /// 获取医生个人任务列表
        /// WorkloadType 1-tp,2-global,3-ad
        /// </summary>
        /// <param name="param"></param>
        /// <returns></returns>
        [HttpPost, Route("getWorkloadList")]
        public IResponseOutput<PageOutput<WorkloadReadingDTO>> GetWorkloadList(WorkloadQueryParam param)
        {
            return ResponseOutput.Ok(_reviewerReadingService.GetWorkloadList(param));
        }

        
    }
}