﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using IRaCIS.Core.Application.Contracts;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace IRaCIS.Core.API.Controllers.Report
{
    [Route("globalReport")]
    [ApiController, ApiExplorerSettings(GroupName = "Reading")]
    public class GlobalReportController : ControllerBase
    {
        private readonly IGlobalService _globalService;

        public GlobalReportController(IGlobalService globalService)
        {
            _globalService = globalService;
        }

        [HttpGet, Route("getHistoryVisitRsList/{trialId}/{subjectId}/{visitNum}/{globalId}/{globalCode}")]
        public IResponseOutput<IEnumerable<HistoryVisitRSDTO>>  GetHistoryVisitRsList(Guid trialId, Guid subjectId, decimal visitNum, Guid globalId, string globalCode)
        {
            return ResponseOutput.Ok(_globalService.GetHistoryVisitRsList(trialId, subjectId, visitNum,globalId, globalCode));
        }

        [HttpGet, Route("getHistoryGlobalRsList/{trialId}/{subjectId}/{visitNum}/{globalId}")]
        public IResponseOutput<PreviousGlobalReadsView>  GetHistoryGlobalRsList(Guid trialId, Guid subjectId, decimal visitNum, Guid globalId)
        {
            return ResponseOutput.Ok(_globalService.GetHistoryGlobalRsList(trialId, subjectId, visitNum,globalId));
        }

        [HttpPost, Route("AddGlobalReport")]
        public IResponseOutput  AddGlobalReport(GlobalTaskReportCommand globalTaskReportCommand)
        {
            return ResponseOutput.Result(_globalService.AddGlobalReport(globalTaskReportCommand));
        }

        [HttpGet, Route("getAdReport/{adId}")]
        public IResponseOutput<AdReportDTO>  GetAdReport(Guid adId)
        {
            return ResponseOutput.Ok(_globalService.GetAdReport(adId));
        }

        [HttpPost, Route("addAdjudicationReport")]
        public IResponseOutput AddAdjudicationReport(ADReportCommand adReportCommand)
        {
            return ResponseOutput.Result(_globalService.AddAdjudicationReport(adReportCommand));
        }


    }

}
