﻿using System;
using System.Collections.Generic;
using EasyCaching.Core.Interceptor;
using IRaCIS.Application.ViewModels;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface IDictionaryService
    {

        IEnumerable<string> GetDicSelect();
        PageOutput<DicViewModelDTO> GetDicSelectList(DicQueryDTO dicSearchModel);

        IResponseOutput DeleteDictionary(Guid id);
        DicResultDTO GetDictionaryResult(string[] searchArray);
        DicResultDTO GetAllDictionary();
        IResponseOutput AddOrUpdateDictionary(DicViewModelDTO viewModel);
        [EasyCachingAble(Expiration = 10)]
        List<DictionaryTreeNode> GetDicTree();
        DicViewModelDTO GetDetailById(Guid Id);
    }
}
