﻿using System;
using System.Collections.Generic;
using System.Text;

namespace IRaCIS.Core.Application.Contracts.Dicom.DTO
{
    public class DicomInstanceDTO
    {
        public Guid Id { get; set;}
        public Guid StudyId { get; set; }
        public Guid SeriesId { get; set; }
        public string StudyInstanceUid { get; set; }
        public string SeriesInstanceUid { get; set; }
        public string SopInstanceUid { get; set; }
        public int InstanceNumber { get; set; }
        public DateTime InstanceTime { get; set; }
        public bool CPIStatus { get; set; }
        public int ImageRows { get; set; }
        public int ImageColumns { get; set; }
        public int SliceLocation { get; set; }

        public Guid TrialId { get; set; }
        public Guid SiteId { get; set; }
        public Guid SubjectId { get; set; }
        public Guid SubjectVisitId { get; set; }

        public Guid CreateUserId { get; set; }
        public DateTime CreateTime { get; set; }
        public Guid UpdateUserId { get; set; }
        public DateTime UpdateTime { get; set; }
    }


    public class DicomTrialSiteSubjectInfo
    {
        public string SiteCode { get; set; }
        public string SiteName { get; set; }

        public string SubjectCode { get; set; }
        public string SubjectName { get; set; }

        public int SubjectAge { get; set; }

        public string SubjectSex { get; set; }

        public string TrialCode { get; set; }


        
        public string ReviewMode { get; set; }
        public bool IsDoubleReview { get; set; }

        public string TrialIndication { get; set; }

        public decimal SubjectVisitNum { get; set; }

        public string SubjectVisitSVUPDES { get; set; }

        public string SubjectVisitVisitName { get; set; }

        public string Sponsor { get; set; }

        public string Comment { get; set; }=String.Empty;
        public Guid TrialId { get; set; }
        public Guid SiteId { get; set; }
        public Guid SubjectId { get; set; }
        public Guid SubjectVisitId { get; set; }
    }
}
