﻿using System;
using System.Collections.Generic;
using System.Text;

namespace IRaCIS.Core.Application.Contracts.Dicom.DTO
{
    public class DicomSeriesDTO
    {
        public Guid Id { get; set; }
        public Guid StudyId { get; set; }
        public string StudyInstanceUid { get; set; }
        public string SeriesInstanceUid { get; set; }
        public int SeriesNumber { get; set; }
        public DateTime SeriesTime { get; set; }
        public string Modality { get; set; }
        public string Description { get; set; }
        public int InstanceCount { get; set; }
        public string SliceThickness { get; set; }

        public Guid TrialId { get; set; }
        public Guid SiteId { get; set; }
        public Guid SubjectId { get; set; }
        public Guid SubjectVisitId { get; set; }
        public List<Guid> InstanceList { get; set; } = new List<Guid>();
        public Guid CreateUserId { get; set; }
        public DateTime CreateTime { get; set; }
        public Guid UpdateUserId { get; set; }
        public DateTime UpdateTime { get; set; }
    }

    public class DicomSeriesWithLabelDTO : DicomSeriesDTO
    {
        public bool HasLabel { get; set; } = false;
        public bool KeySeries { get; set; } = false;
    }
}
