﻿using EasyCaching.Core.Interceptor;
using IRaCIS.Core.Application.Contracts.Dicom.DTO;
using System;
using System.Collections.Generic;
using System.IO;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Application.Contracts.Dicom
{
    public interface IDicomArchiveService
    {
        Task<DicomInstanceDTO> ArchiveDicomStreamAsync(Stream dicomStream, DicomTrialSiteSubjectInfo addtionalInfo);
        ICollection<DicomStudyDTO> GetArchivedStudyList(List<Guid> archivedStudyIds);

        DicomStudyDTO GetStudyItem(Guid studyId);

        [EasyCachingAble(Expiration = 6000)]
        string GetStudyPreview(Guid studyId);

        IEnumerable<DicomSeriesDTO> GetSeriesList(Guid studyId);
        IEnumerable<DicomSeriesWithLabelDTO> GetSeriesWithLabelList(Guid studyId,string tpCode);

        [EasyCachingAble(Expiration = 6000)]
        string GetSeriesPreview(Guid seriesId);

        IEnumerable<DicomInstanceDTO> GetInstanceList(Guid seriesId);

        IEnumerable<Guid> GetInstanceIdList(Guid seriesId, string tpCode, bool? key);

        [EasyCachingAble(Expiration = 6000)]
        string GetInstancePreview(Guid instanceId);


        string GetInstanceContent(Guid instanceId);

        
        IEnumerable<ImageLabelDTO> GetImageLabel(string tpCode);
        //bool SaveImageLabel(ImageLabelDTO label);
        bool SaveImageLabelList(ImageLabelCommand imageLabelCommand);
    }
}
