﻿using IRaCIS.Core.Domain.Share;
using System;

namespace IRaCIS.Application.ViewModels
{
    public class AttachmentDTO
    {
        public Guid Id { get; set; }
        public Guid DoctorId { get; set; }
        public bool IsOfficial { get; set; }
        public string Type { get; set; }
        public string Path { get; set; }
        public string FullPath => SystemConfig.RootUrl + Path;
        public string FileName { get; set; } = string.Empty;
        public DateTime? CreateTime { get; set; }
        public int Language { get; set; }
    }

    public class ReviewerAckDTO
    {
        public Guid Id { get; set; }
        public Guid DoctorId { get; set; }
        public string Type { get; set; }
        public string Path { get; set; }
        public string FullPath => SystemConfig.RootUrl + Path;
        public string FileName { get; set; } = string.Empty;
    }


    public class TrialSOWPathDTO
    {
        public Guid TrialId { get; set; }

        public string SowName { get; set; }
        public string SowPath { get; set; }
    }

    public class DeleteSowPathDTO
    {
        public Guid TrialId { get; set; }
        public string Path { get; set; }

    }

    public class UploadAgreementAttachmentDTO
    {
        public Guid Id { get; set; }

        public Guid DoctorId { get; set; }
        public string Type { get; set; }
        public string Path { get; set; }
        public string FullPath => SystemConfig.RootUrl + Path;

        public string FileName { get; set; } = string.Empty;
    }

    public class AttachementCommand
    {
        public Guid Id { get; set; }
        public string Path { get; set; }
    }
}
