﻿using System;
using System.Collections.Generic;

using IRaCIS.Application.ViewModels;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface IAttachmentService
    {
        IEnumerable<AttachmentDTO> SaveAttachmentRange(IEnumerable<AttachmentDTO> attachmentList);

        IResponseOutput DeleteAttachment(Guid attachmentId);
        AttachmentDTO GetDetailById(Guid attachmentId);
        IEnumerable<AttachmentDTO> GetAttachmentByType(Guid doctorId,string type);
        IEnumerable<AttachmentDTO> GetAttachmentByTypes(Guid doctorId, string[] types);
        IEnumerable<AttachmentDTO> GetAttachments(Guid doctorId);
        string GetDoctorOfficialCV(Guid doctorId);

        IResponseOutput SetOfficial(Guid doctorId, Guid attachmentId);
    }
}
