﻿using IRaCIS.Application.ViewModels;
using System;
using EasyCaching.Core.Interceptor;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface IDoctorListQueryService
    {

        bool AddOrUpdateEnroll(EnrollCommand addOrUpdateModel);
        PageOutput<EnrollViewModel> GetTrialDoctorList(EnrollGetQuery challengeQuery);

        /// <summary>
        /// 医生多条件查询
        /// </summary>
        PageOutput<DoctorDTO> GetReviewerList(DoctorSearchDTO param,Guid reviewerId);

        /// <summary>
        /// 筛选医生列表
        /// </summary>
        /// <param name="doctorSearchModel"></param>
        /// <returns></returns>
        //
        PageOutput<SelectionReviewerDTO> GetSelectionReviewerList(
            ReviewerSelectionQueryDTO doctorSearchModel);

        /// <summary>
        /// //入组 相关接口   （提交CRO-1）   CRO确认-4 
        /// </summary>
        PageOutput<ConfirmationReviewerDTO> GetSubmissionOrApprovalReviewerList(
            ReviewerSubmissionQueryDTO doctorIntoGroupSearchModel);


        //医生确认状态列表
        PageOutput<ConfirmationReviewerDTO> GetConfirmationReviewerList(
            ReviewerConfirmationQueryDTO trialIdPageModel);
    }
}
