﻿using System;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.ViewModels.Pay
{
    public class PaymentAdjustmentCommand
    {
        public  Guid? Id { get; set; }
        public Guid ReviewerId { get; set; }
        public  DateTime YearMonth { get; set; }
        public decimal AdjustPaymentUSD { get; set; }
        public decimal AdjustPaymentCNY { get; set; }
        public string Note { get; set; } = string.Empty;
    }

    public class PaymentAdjustmentDTO
    {
        public Guid Id { get; set; }
        public Guid ReviewerId { get; set; }
        public string YearMonth { get; set; }
        public  DateTime YearMonthDate { get; set; }
        public bool IsLock { get; set; }
        public decimal AdjustPaymentUSD { get; set; }
        public decimal AdjustPaymentCNY { get; set; }
        public string Note { get; set; }
    }

    public class PaymentAdjustmentDetailDTO: PaymentAdjustmentDTO
    {
        public string ReviewerCode { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string FullName => LastName + " / " + FirstName;
        public string ChineseName { get; set; }
    }

    public class PaymentAdjustmentQueryDTO:PageInput
    {
        public string TrialCode { get; set; } = string.Empty;
        public string Reviewer { get; set; } = string.Empty;
        public DateTime BeginMonth { get; set; } 
        public DateTime EndMonth { get; set; }
    }

    public class DoctorSelectDTO
    {
        public Guid Id { get; set; }
        public string Code { get; set; } = string.Empty;
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string FullName => LastName + " / " + FirstName;
        public string ChineseName { get; set; }
    }
}