﻿using System;
using System.Collections.Generic;
using System.IO;
using IRaCIS.Application.ViewModels;
using IRaCIS.Application.ViewModels.Pay;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface IPaymentService
    {
        PageOutput<PaymentViewModel> GetMonthlyPaymentList(MonthlyPaymentQueryDTO queryParam);
        PayDetailDTO GetMonthlyPaymentDetailList(Guid PaymentId, Guid doctorId, DateTime yearMonth);

        List<LaborPayment> GetLaborPaymentList(List<Guid> paymentId);

        //导出多个医生的付费详细
        List<PayDetailDTO> GetReviewersMonthlyPaymentDetail(List<MonthlyPaymentDetailQuery> manyReviewers);

        PageOutput<MonthlyPaymentDTO> GetPaymentHistoryList(PaymentQueryDTO param);
        List<VolumeStatisticsDTO> GetPaymentHistoryDetailList(VolumeQueryDTO param);

        PageOutput<RevenuesDTO> GetRevenuesList(StatisticsQueryDTO param);
        List<TrialAnalysisDTO> GetTrialAnalysisList(TrialAnalysisQueryDTO param);
        List<ReviewerAnalysisDTO> GetReviewerAnalysisList(AnalysisQueryDTO param);


        Stream ExportLaborPayment(ExportLaborPaymentInDto inDto);

       void  ChangePaymentMethod(ChangePaymentMethodInDto inDto);



    }
}