﻿using IRaCIS.Application.ViewModels;
using System;
using System.Collections.Generic;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface IMenuService
    {
       

     

        /// <summary> 在某个父节点下面 新增子菜单</summary>
        IResponseOutput AddOrUpdateMenu(MenuFunctionCommand menuAddModel,Guid userId);

        /// <summary>根据菜单Id 递归删除子菜单</summary>
        IResponseOutput DeleteMenuFunction(Guid menuId);

        List<MenuTreeNode> GetTreeAll();
        List<MenuTreeNodeSelect> GetMenuFunctionIsSelectByRoleId(Guid roleId);
        List<MenuTreeNodeSelect> GetFunctionIsSelectByRoleId(Guid roleId, Guid parentId);

        IResponseOutput UpdateRoleMenuSelect(Guid roleId, List<Guid> menuId);
        IResponseOutput UpdateRoleFunctionSelect(FunctionSelectDTO functionSelect);

    }
}
