﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using IRaCIS.Application.ViewModels;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface IUserService
    {

        Task<IResponseOutput> SendVerificationCode(string emailOrPhone, int verificationType,bool isReviewer=false);

        IResponseOutput SetNewPassword(string emailOrPhone, int verificationType,
            string verificationCode, string newPwd,bool isReviewer);

        IResponseOutput<LoginReturnDTO> Login(string userName, string password);
        IResponseOutput<bool> VerifySignature(string userName, string password);
        IEnumerable<UserDetailDTO> GetAllUser();


        PageOutput<UserListDTO> GetUserList(UserListQueryDTO userQueryModel);

        IResponseOutput UpdateUserState(Guid userId, int state);
        UserDetailDTO GetUserById(Guid id);

        IResponseOutput<UserAddedReturnDTO> AddUser(UserCommand userAddModel, Guid userId);
     
        IResponseOutput UpdateUser(UserCommand userUpdateModel, Guid userId);

        IResponseOutput ResetPassword(Guid userId);

        List<string> GetUserRolesById(Guid userId);
        int GetUserRoleMaxPrivilegeLevel(Guid userId);
        IResponseOutput ModifyPassword(EditPasswordCommand editPwModel);



    }
}
