﻿using System;
using System.Collections.Generic;
using IRaCIS.Core.Domain.Models;

namespace IRaCIS.Core.Application.Contracts
{
    public class HistoryVisitRSDTO
    {

        public Guid StudyId { get; set; }
        public string StudyCode { get; set; }

        public decimal VisitNum { get; set; }

        public string VisitName { get; set; }

        public string OverallResponse { get; set; }

        public string TpCode { get; set; }

        public GlobalRSSelectView GlobalRSSelect { get; set; }

    }

    public class GlobalRSSelectView
    {
        public bool? Agree { get; set; }
        public string NewRS { get; set; }
        public string Note { get; set; }
    }

    public class HistoryGlobalRsDTO
    {

        public decimal VisitNum { get; set; }

        public string VisitName { get; set; }

        public string OverallResponse { get; set; }
    }

    public class PreviousGlobalReadsView
    {
        public string SubjectNote { get; set; }

        public List<HistoryGlobalRsDTO> PreviousGlobalReadsList { get; set; } = new List<HistoryGlobalRsDTO>();
    }


    public class GlobalTaskReportCommand
    {
        public Guid GlobalId { get; set; }
        public string SubjectNote { get; set; }
        public string SubjectCode { get; set; }
        public Guid SubjectId { get; set; }

        public List<GlobalReportCommand> GlobalRSReportList { get; set; }=new List<GlobalReportCommand>();
    }

    public class GlobalReportCommand
    {
        public Guid GlobalId { get; set; }
        public string TpCode { get; set; }
        public int VisitNum { get; set; }
        public bool? Agree { get; set; }
        public string NewRS { get; set; }
        public string Note { get; set; }

    }


    public class AdReportDTO
    {
        public  WorkloadAD  ADInfo { get; set; }
        public PreviousGlobalReadsView  Global1 { get; set; }
        public PreviousGlobalReadsView Global2 { get; set; }

        public IEnumerable<HistoryVisitRSDTO> Global1VisitRS { get; set; }=new List<HistoryVisitRSDTO>();
        public IEnumerable<HistoryVisitRSDTO> Global2VisitRS { get; set; } = new List<HistoryVisitRSDTO>();

    }


    public class ADReportCommand
    {

        public Guid AdId { get; set; }
        public Guid SelectGlobalId { get; set; }
        public string ADNote { get; set; }
    }


}