﻿using System;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.ViewModels
{
    public class SubjectDTO: SubjectCommand
    {
        public Guid SubjectVisitId { get; set; }
        public int StudyCount { get; set; }

        public int VisitCount { get; set; }
        public int PlanVisitCount { get; set; }
        public string Modalities { get; set; }
    }

    public class SubjectCommand
    {
        public Guid? Id { get; set; }
        public string Code { get; set; }//患者匿名编码
        public string Name { get; set; }
        public int Age { get; set; }
        public string Sex { get; set; }
        public Guid SiteId { get; set; }
        public Guid TrialId { get; set; }
        public string MedicalNo { get; set; }
        public int Status { get; set; }
        public string Reason { get; set; }
    }

    public class SubjectQueryModel: SubjectDTO
    {
        public DateTime? CreateTime { get; set; }
        public DateTime? UpdateTime { get; set; }
        public string SiteName { get; set; }
        public string VisitName { get; set; }
    }

    public class SubjectQueryParam : PageInput
    {
        public Guid TrialId { get; set; } = Guid.Empty;
        public string Code { get; set; } = string.Empty;

        public string Name { get; set; } = string.Empty;

        public string Sex { get; set; } = string.Empty;

        public Guid? SiteId { get; set; }
        //public Guid? SubjectVisitId { get; set; } = Guid.Empty;
        public int? Status { get; set; } 
    }


    public class SubjectSelect
    {
        public Guid SubjectId { get; set; }

        public string Name { get; set; }

        public string Code { get; set; }

        public string  Sex { get; set; }

        public int Age { get; set; }
    }
}
