﻿using System;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;
using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Application.ViewModels
{
    /// <summary>
    /// 影像采集规范
    /// </summary>
    public class TrialAttachmentCommand
    {
        public Guid? Id { get; set; }
        public Guid TrialId { get; set; }
        public string Type { get; set; }
      
        public string DocumentName { get; set; }
        public string DocumentPath { get; set; }
        public string DocumentFullPath
        {
            get { return SystemConfig.RootUrl + DocumentPath; }
        }
        
    }



    public class AcquisitionSpecificationDTO : TrialAttachmentCommand
    {
        public string TrialCode { get; set; }
        public string Indication { get; set; }
        public string OptUserName { get; set; }
        
        public DateTime CreateTime { get; set; }
    }

    public class ImageAcquisitionSpecificationQueryDTO : PageInput
    {
        public Guid TrialId { get; set; }
    }
}
