﻿using System;
using System.Collections.Generic;

namespace IRaCIS.Core.Application.Contracts.Trial.DTO
{
    public class RevenusVerifyQueryDTO
    {
        public DateTime BeginDate { get; set; } = DateTime.Now;
        public DateTime EndDate { get; set; } = DateTime.Now;

    }

    public class AnalysisVerifyQueryDTO
    {
        public DateTime BeginDate { get; set; } = DateTime.Now;
        public DateTime EndDate { get; set; } = DateTime.Now;
    }


    public class AnalysisNeedLockDTO
    {
        public string YearMonth { get; set; }

        public string ReviewerCode { get; set; }

        public string ReviewerName { get; set; }

        public string ReviewerNameCN { get; set; }
    }

    public class AnalysisVerifyResultDTO
    {
        public List<MonthlyResult> MonthVerifyResult = new List<MonthlyResult>();

        public List<RevenusVerifyDTO> RevenuesVerifyList = new List<RevenusVerifyDTO>();
    }



    public class MonthlyResult
    {
        public string YearMonth { get; set; }
        public List<string> ReviewerNameList = new List<string>();
        public List<string> ReviewerNameCNList = new List<string>();
        public List<string> ReviewerCodeList = new List<string>();
    }


    public class RevenusVerifyDTO
    {
        public string TrialCode { get; set; }

        public bool Training { get; set; } = false;

        public bool Downtime { get; set; } = false;

        public bool Global { get; set; } = false;

        public bool Timepoint { get; set; } = false;

        public bool TimepointIn24H { get; set; } = false;

        public bool TimepointIn48H { get; set; } = false;

        public bool Adjudication { get; set; } = false;

        public bool AdjudicationIn24H { get; set; } = false;

        public bool AdjudicationIn48H { get; set; } = false;

    }
}