﻿using System;
using System.Collections.Generic;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.ViewModels
{


    public class TrialSiteSelect
    {
        public Guid Id { get; set; }
        public string SiteName { get; set; }
    }

    public class UserTrialDTO: UserTrialCommand
    {
        public Guid SiteId { get; set; }
        public string Phone { get; set; }
        //public Guid OrganizationTypeId { get; set; }
        //public string OrganizationType { get; set; }
        public DateTime UpdateTime { get; set; } = DateTime.Now;
    }

    public class SiteCRCCommand : UserTrialCommand
    {
        //public Guid OrganizationTypeId { get; set; }
        //public string OrganizationType { get; set; }

        public Guid SiteId { get; set; } = Guid.Empty;
    }

    public class UserTrialCommand
    {
        public Guid? Id { get; set; }
        public Guid UserId { get; set; }
        public Guid TrialId { get; set; }
        public Guid UserTypeId { get; set; }
        public string UserType { get; set; }

        public Guid OrganizationId { get; set; }
        public string OrganizationName { get; set; }

        public  string OrganizationType { get; set; }
        public Guid OrganizationTypeId { get; set; }


        public string UserRealName { get; set; }
        public string UserName { get; set; }

    }
    public class SiteCrcDTO : UserTrialDTO
    {
        //public Guid SiteId { get; set; } = Guid.Empty;
        //public string Phone { get; set; }
        //public Guid OrganizationTypeId { get; set; }
        //public string OrganizationType { get; set; }
        public string Site { get; set; }
        public string City { get; set; }
        public string Country { get; set; }

       
    }

    public class SiteStatDTO
    {
        public Guid SiteId { get; set; } = Guid.Empty;
        public string Site { get; set; }
        public string City { get; set; }
        public string Country { get; set; }
        //public int VisitCount { get; set; }
        //public int PlanVisitCount { get; set; }
        public int UserCount { get; set; }
        public int StudyCount { get; set; }
        public int SubjectCount { get; set; }

        public  List<UserTrialDTO>  UserList=new List<UserTrialDTO>();
    }

    public class UserSelectionModel
    {
        public Guid Id { get; set; }
        public string RealName { get; set; }

        public string UserName { get; set; }
    }


    public class TrialMaintenanceQuery
    {
        public Guid TrialId { get; set; } = Guid.Empty;
        public string UserName { get; set; } = string.Empty;
        public Guid? UserTypeId { get; set; } = Guid.Empty;
    }
    public class UserTrialListQueryDTO : PageInput
    {
        public Guid TrialId { get; set; } = Guid.Empty;
        public string UserName { get; set; } = string.Empty;
        public Guid? UserTypeId { get; set; } = Guid.Empty;
    }

    public class SiteCrcQueryDTO : PageInput
    {
        public Guid TrialId { get; set; } = Guid.Empty;
        public string UserRealName { get; set; } = string.Empty;

        //public Guid? OrganizationTypeId { get; set; } = Guid.Empty;
        //public  Guid SiteId { get; set; } = Guid.Empty;

        public string SiteName { get; set; } = string.Empty;
    }
}
