﻿using System;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface ITrialEnrollmentService
    {
        /// <summary>入组流程-筛选医生 [select]</summary>
        IResponseOutput SelectReviewer(Guid userId, Guid trialId, Guid[] doctorIdArray);

        /// <summary>入组流程-向CRO提交医生[Submit]</summary>
        IResponseOutput SubmitReviewer(Guid userId, Guid trialId, Guid[] doctorIdArray, int commitState);

        /// <summary>入组流程-CRO确定医生名单 [ Approve]</summary>
        IResponseOutput ApproveReviewer(Guid userId, Guid trialId, Guid[] doctorIdArray, int auditState);

        /// <summary>入组流程-向CRO提交医生[Submit]</summary>
        IResponseOutput ConfirmReviewer(Guid userId, Guid trialId, Guid[] doctorIdArray, int confirmState);

    }
}
