﻿using System;
using System.Collections.Generic;
using IRaCIS.Application.ViewModels;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface ITrialService
    { 
         bool TrialExpeditedChange { get; set; } 
        //查询
        TrialDetailDTO GetTrialInfoAndLockState(Guid projectId);
        int GetTrialExpeditedState(Guid trialId);//获取项目加急状态


        int GetTrialMaxState(Guid trialId);

        IResponseOutput ConfirmTrialVisitPlan(Guid trialId);
        //添加项目基本信息
        IResponseOutput AddOrUpdateTrial(TrialCommand addTrialModel, Guid userId);

        //手动变更项目状态
        IResponseOutput UpdateTrialStatus(Guid trialId, string statusStr);
        //删除
        IResponseOutput DeleteTrial(Guid trialId);
        //获取分页项目 列表 多条件查询
        PageOutput<TrialDetailDTO> GetTrialList(TrialQueryDTO searchModel, Guid userId);

        List<Guid> GetTrialEnrollmentReviewerIds(Guid trialId);

        PageOutput<TrialDetailDTO> GetReviewerTrialListByEnrollmentStatus(
           TrialByStatusQueryDTO param);

        PageOutput<TrialDetailDTO> GetTrialListByReviewer(ReviewerTrialQueryDTO searchModel, Guid userId);
        IResponseOutput UpdateEnrollStatus(Guid trialId, int status);
    }
}