﻿using IRaCIS.Application.ViewModels;
using System;
using System.Collections.Generic;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface IUserTrialService
    {

        IEnumerable<TrialSiteSelect> GetTrialSiteSelect(Guid trialId);
       

        /// <summary>获取项目的维护人员列表 </summary>
        PageOutput<UserTrialDTO> GetUserTrialList(UserTrialListQueryDTO param);

        IEnumerable<UserTrialDTO> GetMaintenanceUserList(TrialMaintenanceQuery param);
        
            /// <summary> 获取可供选择的运维人员列表</summary>
       IEnumerable<UserSelectionModel> GetUserSelectionList(Guid userTypeId,Guid institutionId);

        /// <summary> 添加或更新运维人员</summary>
        IResponseOutput AddOrUpdateUserTrial(UserTrialCommand param);

        /// <summary> 删除运维人员</summary>
        IResponseOutput DeleteUserTrial(Guid param);


        /// <summary>获取负责研究中心CRC列表</summary>
        PageOutput<SiteStatDTO> GetSiteCRCList(SiteCrcQueryDTO param);

        /// <summary> 添加或更新CRC人员</summary>
        IResponseOutput AddOrUpdateSiteCRC(SiteCRCCommand param);


        /// <summary> 删除CRC人员</summary>
        IResponseOutput DeleteSiteCRC(Guid id);

    }
}
