﻿using IRaCIS.Application.ViewModels;
using System;
using System.Collections.Generic;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface IVisitPlanService
    {
        /// <summary> 分页获取项目访视计划</summary>
        PageOutput<VisitStageDTO> GetTrialVisitStageList(VisitPlanQueryDTO param);



        IEnumerable<VisitStageSelectDTO> GetTrialVisitStageSelect(Guid trialId);
      

        /// <summary> 根据项目Id，获取项目访视计划（不分页）</summary>
        IEnumerable<VisitStageDTO> GetVisitStageList(Guid trialId);

        /// <summary> 添加或更新运维人员</summary>
        IResponseOutput AddOrUpdateVisitStage(VisitPlanCommand param);

        /// <summary> 删除项目访视计划</summary>
        IResponseOutput DeleteVisitStage(Guid id);
    }
}
