﻿using System;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.ViewModels
{
    public class ImageCommand 
    {
        public Guid Id { get; set; }
        public Guid TrialId { get; set; }
        public Guid SubjectId { get; set; } = Guid.Empty;
        public Guid SiteId { get; set; } = Guid.Empty;
        public Guid SubjectVisitId { get; set; } = Guid.Empty;
        public string TrialCode { get; set; }
    }

    public class ImageDetailDTO : ImageCommand
    {
        public int? State { get; set; }
        public DateTime StudyDate { get; set; } = DateTime.Now;
        public string Modalities { get; set; } = string.Empty;
        public Guid StudyId { get; set; } = Guid.Empty;
        public string ImageNo { get; set; } = string.Empty;


        public string SubjectCode { get; set; }//受试者编号
        public string SiteName { get; set; }
        public string MedicalNo { get; set; }
        public string Period { get; set; }
        public DateTime CreateTime { get; set; }
    }

    public class ImageQueryDTO : PageInput
    {
        public Guid TrialId { get; set; } = Guid.Empty;
        public string SubjectCode { get; set; } = string.Empty;
        public Guid SubjectVisitId { get; set; } = Guid.Empty;
        public int State { get; set; } = 0;
    }
}
