﻿using IRaCIS.Application.ViewModels;
using System;
using System.Collections.Generic;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface ITrialWorkloadService
    {
        /// <summary>
        /// 上传入组后的Ack-SOW
        /// </summary>
        IResponseOutput UploadReviewerAckSOW(Guid userId, Guid trialId, ReviewerAckDTO attachmentViewModel);

        /// <summary>
        /// 删除Ack-SOW
        /// </summary>
        IResponseOutput DeleteReviewerAckSOW(Guid trialId, Guid doctorId, Guid attachmentId);

        IResponseOutput UpdateReviewerReadingType(Guid trialId, Guid doctorId, int type);

        /// <summary>
        /// 获取某个项目入组的医生工作量统计列表
        /// </summary>
        PageOutput<WorkLoadAndAgreementDTO> GetTrialEnrollmentWorkloadStats(WorkLoadDoctorQueryDTO doctorSearchModel);

        PageOutput<WorkLoadDetailDTO> GetEnrollmentWorkloadStatsDetail(
              WorkLoadStatsQueryDTO workLoadSearch);

        List<WorkLoadDetailViewModel> GetReviewerWorkLoadListDetail(
            WorkLoadDetailQueryDTO workLoadSearch);

        /// <summary> 判断医生是否存在当天的工作量数据 </summary>
        IResponseOutput<ExistWorkloadViewModel> WorkloadExist(WorkloadExistQueryDTO param);
        IResponseOutput AddOrUpdateWorkload(WorkloadCommand workLoadAddOrUpdateModel, Guid userId);
        IResponseOutput DeleteWorkload(Guid id);
        WorkloadDTO GetWorkloadDetailById(Guid id);
    }
}
