﻿using AutoMapper;
using IRaCIS.Application.Interfaces;
using IRaCIS.Application.ViewModels;
using IRaCIS.Application.ViewModels.Pay;
using IRaCIS.Core.Domain;
using IRaCIS.Domain;
using IRaCIS.Domain.Models;

namespace IRaCIS.Application.AutoMapper
{
    public class DomainToViewModelMappingProfile : Profile
    {
        public DomainToViewModelMappingProfile()
        {
            #region Reviewer

            CreateMap<Doctor, DoctorBasicInfoCommand>();
            CreateMap<Education, EducationInfoViewModel>();
           
            CreateMap<Vacation, VacationDTO>();
            CreateMap<Education, EducationInfoViewModel>();
            CreateMap<ResearchPublication, ResearchPublicationDTO>();
            CreateMap<Postgraduate, PostgraduateViewModel>();
            CreateMap<Attachment, AttachmentDTO>();
            CreateMap<Doctor, ResumeConfirmDTO>();

            CreateMap<Doctor, DoctorSelectDTO>();

            CreateMap<Doctor, TrialExperienceViewModel>();
            CreateMap<TrialExperience, TrialExperienceCommand>();

            CreateMap<Doctor, DoctorBasicInfo>();

            #endregion

            #region Management

            CreateMap<User, UserDetailDTO>();
            CreateMap<Role, RoleDTO>();
            CreateMap<MenuFunction, MenuFunctionDTO>();
            CreateMap<MenuFunction, MenuTreeNodeSelect>();
            
            CreateMap<User, UserSelectionModel>();

            #endregion

            #region institution

            CreateMap<Hospital, HospitalDTO>();
            CreateMap<CRO, CROCompanyDTO>();
            CreateMap<Sponsor, SponsorDTO>();
            CreateMap<CRO, CroSelectDTO>();
            CreateMap<Sponsor, SponsorSelectDTO>();
            CreateMap<Site, SiteSelectionDTO>();

            #endregion

            #region WrokLoad

            CreateMap<Workload, WorkloadDTO>();

            #endregion

            CreateMap<Dictionary, DicViewModelDTO>();

            CreateMap<Dictionary, KeyNameType>();

            #region finacial

            CreateMap<RankPrice, RankPriceDTO>();
            CreateMap<VolumeReward, AwardPriceDTO>();
            CreateMap<RankPrice, RankDic>();
            CreateMap<ExchangeRate, ExchangeRateDTO>();
            CreateMap<Payment, CalculateNeededDTO>();

            CreateMap<VolumeReward, AwardPriceCalculateDTO>();



            #endregion

            #region image

            CreateMap<VisitPlan, VisitPlanDTO>();

            #endregion
        }
    }
}
