﻿using System;
using IRaCIS.Common.Model;

namespace IRaCIS.Application.ViewModels
{
    public class ClinicalStudySubjectsDTO
    {
        public Guid Id { get; set; }
        public string Code { get; set; }//患者匿名编码
        public string NameAbbreviation { get; set; }
        public string Age { get; set; }
        public string Sex { get; set; }
        public Guid ResearchCenterId { get; set; }
        public Guid VisitPlanId { get; set; }
        public Guid TrialId { get; set; }
        public string MedicalRecordNo { get; set; }
        public int ImageCount { get; set; }
        public string ImageType { get; set; }
        public int State { get; set; }
        public string OutReason { get; set; }
    }

    public class ClinicalStudySubjectsCommand
    {
        public Guid Id { get; set; }
        public string Code { get; set; }//患者匿名编码
        public string NameAbbreviation { get; set; }
        public string Age { get; set; }
        public string Sex { get; set; }
        public Guid ResearchCenterId { get; set; }
        public Guid TrialId { get; set; }
        public string MedicalRecordNo { get; set; }

        public int State { get; set; }
        public string OutReason { get; set; }
    }
    public class ClinicalStudySubjectsQueryModel: ClinicalStudySubjectsDTO
    {
        public DateTime CreateTime { get; set; }
        public DateTime UpdateTime { get; set; }
        public string ResearchCenterName { get; set; }
        public string VisitPlanName { get; set; }
    }
    public class SubjectQueryParam : PageInput
    {
        public Guid TrialId { get; set; } = Guid.Empty;
        public string Code { get; set; } = string.Empty;
        public Guid VisitPlanId { get; set; } = Guid.Empty;
        public int State { get; set; } = 0;
    }
}
