﻿using System;
using System.Collections.Generic;

namespace IRaCIS.Application.ViewModels
{
    public class TrialExperienceCommand
    {
        public Guid Id { get; set; }

        public Guid DoctorId { get; set; }

        public string Term { get; set; }

        public string EvaluationCriteria { get; set; }

        public string EvaluationContent { get; set; }
    }


    public class TrialExperienceViewModel: GcpAndOtherExperienceDTO
    {
        public  List<TrialExperienceCommand> ClinicalTrialExperienceList=new List<TrialExperienceCommand>();

        public string ExpiryDateStr { get; set; } = string.Empty;
        public string GCPFullPath => WebAppConfig.RootUrl + Path;

    }


    public class GcpAndOtherExperienceDTO
    {
        public Guid Id { get; set; }

        public int GCP { get; set; }

        public Guid GCPId { get; set; }

        public string OtherClinicalExperience { get; set; }

        public string Type { get; set; } = string.Empty;

        public string Path { get; set; } = string.Empty;

        public string FileName { get; set; } = string.Empty;

    }

    public class GCPExperienceCommand
    {
        public Guid Id { get; set; }
        public int GCP { get; set; }

        public Guid GCPId { get; set; }
    }

    public class ClinicalExperienceCommand
    {
        public Guid DoctorId { get; set; }

        public string OtherClinicalExperience { get; set; }
    }
}