﻿using System;
using IRaCIS.Common.Model;

namespace IRaCIS.Application.ViewModels
{
    public class ImageDTO
    {
        public Guid Id { get; set; }
        public Guid TrialId { get; set; }
        public string ImageNo { get; set; } = string.Empty;
        public Guid StudyId { get; set; } = Guid.Empty;
        public Guid? SubjectId { get; set; } = Guid.Empty;
        public Guid? SiteId { get; set; } = Guid.Empty;
        public Guid? VisitPointId { get; set; } = Guid.Empty;
        public Guid VisitPlanId { get; set; } = Guid.Empty;
        public int State { get; set; } = 1;
        public DateTime StudyDate { get; set; } = DateTime.Now;
        public string Modalities { get; set; } = string.Empty;
    }
    public class ImageCommand : ImageDTO
    {
        public string TrialCode { get; set; }
    }

    public class ImageDetailDTO : ImageDTO
    {
        public string SubjectCode { get; set; }//受试者编号
        public string SiteName { get; set; }
        public string MedicalRecordNo { get; set; }
        public string VisitPlanName { get; set; }
        public DateTime CreateTime { get; set; }
    }

    public class ImageQueryDTO : PageInput
    {
        public Guid TrialId { get; set; } = Guid.Empty;
        public string SubjectCode { get; set; } = string.Empty;
        public Guid VisitPlanId { get; set; } = Guid.Empty;
        public int State { get; set; } = 0;
    }
}
