﻿using System;
using IRaCIS.Common.Model;

namespace IRaCIS.Application.ViewModels.Pay
{
    public class PaymentAdjustmentCommand
    {
        public  Guid Id { get; set; }
        public Guid ReviewerId { get; set; }
        public  DateTime AdjustedYearMonth { get; set; }
        public double AdjustPaymentUSD { get; set; }
        public double AdjustPaymentCNY { get; set; }
        public string Note { get; set; } = string.Empty;
    }

    public class PaymentAdjustmentDTO
    {
        public Guid Id { get; set; }
        public Guid ReviewerId { get; set; }
        public string YearMonth { get; set; }
        public  DateTime YearMonthDate { get; set; }
        public bool IsLock { get; set; }
        public double AdjustPaymentUSD { get; set; }
        public double AdjustPaymentCNY { get; set; }
        public string Note { get; set; }
    }

    public class PaymentAdjustmentDetailDTO: PaymentAdjustmentDTO
    {
        public string ReviewerCode { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string FullName => LastName + " / " + FirstName;
        public string ChineseName { get; set; }
    }

    public class PaymentAdjustmentQueryDTO:PageInput
    {
        public string TrialCode { get; set; } = string.Empty;
        public string Reviewer { get; set; } = string.Empty;
        public DateTime BeginDate { get; set; } = DateTime.Now;
        public DateTime EndDate { get; set; } = DateTime.Now;
    }

    public class DoctorSelectDTO
    {
        public Guid Id { get; set; }
        public string Code { get; set; } = string.Empty;
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string FullName => LastName + " / " + FirstName;
        public string ChineseName { get; set; }
    }
}