﻿using System;
using IRaCIS.Common.Model;

namespace IRaCIS.Application.ViewModels
{
    /// <summary>
    /// 影像采集规范
    /// </summary>
    public class ImageAcquisitionSpecificationDTO
    {
        public Guid Id { get; set; }
        public Guid TrialId { get; set; }
        public Guid DeviceTypeId { get; set; }
        public string LayerThickness { get; set; }
        public string AcquisitionPeriod { get; set; }
        public int SeriesCount { get; set; }
        public string SeriesDescription { get; set; }
        public string DeviceParam { get; set; }
        public string DocCode { get; set; }
        public string DocName { get; set; }
        public string DocPath { get; set; }
        public string DocFullPath
        {
            get { return WebAppConfig.RootUrl + DocPath; }
        }
        public DateTime CreateTime { get; set; }
        
    }

    public class ImageAcquisitionSpecificationDetailDTO : ImageAcquisitionSpecificationDTO
    {
        public string TrialCode { get; set; }
        public string TrialName { get; set; }
        public string Preparer { get; set; }
        public string DeviceTypeName { get; set; }
    }

    public class ImageAcquisitionSpecificationQueryDTO : PageInput
    {
        public Guid TrialId { get; set; }
    }
}
