﻿namespace IRaCIS.Core.Domain.Share
{
    public static class StaticData
    {
        /// <summary>
        /// 用户默认密码
        /// </summary>
        public static readonly string DefaultPassword = "123456";

        #region 字典表项固定值
        public static readonly string Title = "Title";
        public static readonly string ReadingType = "ReadingType";
        public static readonly string Subspeciality = "Subspeciality";
        public static readonly string Modality = "Modality";
        #endregion

        #region Reviewer Degree
        public const string Bachelor = "Bachelor";
        public const string Master = "Master";
        public const string Doctorate = "Doctorate";
        #endregion

        #region UserType
        public static readonly string Admin = "Admin";
        public static readonly string DataAdmin = "Reviewer Admin";
        public static readonly string CRC = "CRC";
        public static readonly string QC = "QC";
        public static readonly string PM = "PM";
        public static readonly string CROCoordinator = "CROCoordinator";
        #endregion

        public static readonly string MainCompany = "ZHIZHUN";
        public static readonly string AdminUserName = "admin";

        public static  readonly string GCP = "GCP";


        #region 系统返回提示信息

        public static readonly string AddFailed = "Data add failed";
        public static readonly string DeleteFailed = "Data delete failed";
        public static readonly string UpdateFailed = "Data update failed";

        public static readonly string DataBaseOperationFailed = "Database operation failed";

        #endregion
    }

    public static class ClaimAttributes
    {
        /// <summary>
        /// 用户Id
        /// </summary>
        public const string UserId = "id";

        /// <summary>
        /// 用户名
        /// </summary>
        public const string UserName = "name";

        /// <summary>
        /// 姓名
        /// </summary>
        public const string RealName = "realName";
        public const string ReviewerCode = "reviewerCode";
    }
}