using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("Dictionary")]
    public partial class Dictionary : Entity,IAuditUpdate,IAuditAdd
    {
        public virtual ICollection<DoctorDictionary> DoctorDictionaries { get; set; }

        public Dictionary()
        {
            DoctorDictionaries=new HashSet<DoctorDictionary>();
        }

        [StringLength(50)]
        public string KeyName { get; set; } = string.Empty;


        [StringLength(100)]
        public string Value { get; set; } = string.Empty;


        [StringLength(512)]
        public string Memo { get; set; } = string.Empty;

        public int ShowOrder { get; set; }

        public string Type { get; set; }

        public Guid UpdateUserId { get; set; }
        public DateTime UpdateTime { get; set; }
        public Guid CreateUserId { get; set; }
        public DateTime CreateTime { get; set; }
    }
}
