using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{

    [Table("Payment")]
    public partial class Payment : Entity, IAuditUpdate, IAuditAdd
    {
        public Guid DoctorId { get; set; }
        public string YearMonth { get; set; } = string.Empty;
        public bool IsLock { get; set; }
        public DateTime YearMonthDate { get; set; }
        public decimal PaymentUSD { get; set; }
        public decimal PaymentCNY { get; set; }
        public decimal ExchangeRate { get; set; }

        public PaymentMethod PaymentMethod { get; set; } = PaymentMethod.CloudPayment;

        public decimal AdjustmentCNY { get; set; }
        public decimal AdjustmentUSD { get; set; }
        public DateTime CalculateTime { get; set; } = DateTime.Now;

        [StringLength(100)]
        public string CalculateUser { get; set; } = string.Empty;

        [StringLength(500)]
        public string Note { get; set; } = string.Empty;

        //public double TaxCNY { get; set; }
        //public double ActuallyPaidCNY { get; set; }
        //public double BankTransferCNY { get; set; }


        public Guid UpdateUserId { get; set; }
        public DateTime UpdateTime { get; set; }
        public Guid CreateUserId { get; set; }
        public DateTime CreateTime { get; set; }
    }

    public enum PaymentMethod
    {
        /// <summary>
        /// 
        /// </summary>
        Remuneration = 0,

        /// <summary>
        /// ֧
        /// </summary>
        CloudPayment = 1
    }
}
