﻿using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("DicomStudy")]
    public class DicomStudy : Entity, IAuditUpdate, IAuditAdd
    {

        public Guid TrialId { get; set; }
        public Guid SiteId { get; set; }

        public Guid SubjectId { get; set; }
        public Guid SubjectVisitId { get; set; }

        public string StudyCode { get; set; } = string.Empty;

        public int Status { get; set; } = 1;

        public string StudyInstanceUid { get; set; } = string.Empty;
        public DateTime? StudyTime { get; set; }
        public string Modalities { get; set; } = string.Empty;

        public string Description { get; set; } = string.Empty;
        public int SeriesCount { get; set; } = 0;
        public int InstanceCount { get; set; } = 0;

        //public bool SoftDelete { get; set; } = false;

        public string InstitutionName { get; set; } = string.Empty;
        public string PatientId { get; set; } = string.Empty;
        public string PatientName { get; set; } = string.Empty;
        public string PatientAge { get; set; } = string.Empty;
        public string PatientSex { get; set; } = string.Empty;

        public string StudyId { get; set; } = string.Empty;
        public string AccessionNumber { get; set; } = string.Empty;
        public string PatientBirthDate { get; set; } = string.Empty;

        public string AcquisitionTime { get; set; } = string.Empty;
        public string AcquisitionNumber { get; set; } = string.Empty;
        public string TriggerTime { get; set; } = string.Empty;





        //0 未知  1 单重  2 双重
        public bool IsDoubleReview { get; set; }

        public string Comment { get; set; } = string.Empty;//上传的时候的
        public string QAComment { get; set; } = string.Empty;
        public string BodyPartExamined { get; set; } = string.Empty;
        public Guid UpdateUserId { get; set; }
        public DateTime UpdateTime { get; set; } = DateTime.Now;
        public Guid CreateUserId { get; set; }
        public DateTime CreateTime { get; set; } = DateTime.Now;
    }
}
