using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("Site")]
    public partial class Site : Entity, IAuditUpdate, IAuditAdd
    {
        public string SiteName { get; set; }
        public string SiteCode { get; set; }

        public string City { get; set; }
        public string Country { get; set; }
        public Guid HospitalId { get; set; } = Guid.Empty;
        public string DirectorName { get; set; } = string.Empty;
        public string DirectorPhone { get; set; } = string.Empty;
        public string ContactName { get; set; } = string.Empty;
        public string ContactPhone { get; set; } = string.Empty;

        public int State { get; set; }

        public Guid CreateUserId { get; set; } = Guid.Empty;
        public DateTime CreateTime { get; set; } = DateTime.Now;
        public Guid UpdateUserId { get; set; } = Guid.Empty;
        public DateTime UpdateTime { get; set; } = DateTime.Now;
    }
}
