﻿using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("MenuFunction")]
    public class MenuFunction : Entity, IAuditUpdate, IAuditAdd
    {
        public Guid ParentId { get; set; } = Guid.Empty;
        public string MenuName { get; set; } = string.Empty;
        public string RouteName { get; set; } = string.Empty;
        public string Component { get; set; } = string.Empty;
        public string Redirect { get; set; } = string.Empty;
        public string Path { get; set; } = string.Empty;
        public string MetaTitle { get; set; } = string.Empty;
        public bool MetaBreadcrumb { get; set; } = false;
        public string MetaIcon { get; set; } = string.Empty;
        public string MetaActiveMenu { get; set; } = string.Empty;
        public string FunctionName { get; set; } = string.Empty;
        public bool IsFunction { get; set; } = false;
        public string Note { get; set; } = string.Empty;
        public int ShowOrder { get; set; } = 0;
        public int Status { get; set; } = 1;
        public bool Hidden { get; set; }
        public bool SuperAdmin { get; set; } = true;

        public DateTime CreateTime { get; set; } = DateTime.Now;
        public Guid CreateUserId { get; set; } = Guid.Empty;
        public DateTime UpdateTime { get; set; } = DateTime.Now;
        public Guid UpdateUserId { get; set; } = Guid.Empty;

    }
}
