using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("User")]
    public partial class User : Entity, IAuditAdd, IAuditUpdate
    {
        public User()
        {
            UserRoleList = new HashSet<UserRole>();
            UserDoctors = new HashSet<UserDoctor>();
        }

        public virtual ICollection<UserDoctor> UserDoctors { get; set; }
        public virtual ICollection<UserRole> UserRoleList { get; set; }


        [StringLength(255)]
        public string UserName { get; set; }

        [StringLength(255)]
        public string Password { get; set; }
        [StringLength(255)]
        public string RealName { get; set; }
        public string Phone { get; set; } = string.Empty;
        public string EMail { get; set; } = string.Empty;
        public int Sex { get; set; }

        public int Status { get; set; } = 1;



        public DateTime? LastLoginTime { get; set; }

        public bool SuperAdmin { get; set; } = false;
        public Guid UserTypeId { get; set; } = Guid.Empty;
        public string Code { get; set; } = string.Empty;
        public bool IsZhiZhun { get; set; }

        public string UserType { get; set; } = string.Empty;
        public string OrganizationName { get; set; }
        public Guid OrganizationId { get; set; } = Guid.Empty;

        public Guid OrganizationTypeId { get; set; } = Guid.Empty;
        public string OrganizationType { get; set; } = String.Empty;

        public string DepartmentName { get; set; } = String.Empty;

        public string PositionName { get; set; } = String.Empty;

        public Guid CreateUserId { get; set; }
        public DateTime CreateTime { get; set; }
        public Guid UpdateUserId { get; set; }
        public DateTime UpdateTime { get; set; }
    }
}
