﻿using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    /// <summary>
    /// 受试者
    /// </summary>
    [Table("Subject")]
    public class Subject : Entity, IAuditAdd, IAuditUpdate
    {
        public string Code { get; set; }
        public string Name { get; set; } = string.Empty;
        public int Age { get; set; }
        public string Sex { get; set; } = string.Empty;
        public Guid SiteId { get; set; } = Guid.Empty;
        public Guid SubjectVisitId { get; set; } = Guid.Empty;
        public Guid TrialId { get; set; } = Guid.Empty;
        public string MedicalNo { get; set; } = string.Empty;
        public int StudyCount { get; set; } = 0;
        public string Modalities { get; set; } = string.Empty;
        public int Status { get; set; } = 1;//1 访视中，2 出组
        public string Reason { get; set; } = string.Empty;

        public DateTime CreateTime { get; set; }
        public Guid CreateUserId { get; set; }
        public DateTime UpdateTime { get; set; }
        public Guid UpdateUserId { get; set; }
    }
}
