using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("Trial")]
    public partial class Trial : Entity, IAuditUpdate, IAuditAdd
    {
        public Trial()
        {
            ClinicalTrialProjectDetails = new HashSet<TrialStatusDetail>();
            TrialDicList = new List<TrialDictionary>();
        }

        public virtual ICollection<TrialStatusDetail> ClinicalTrialProjectDetails { get; set; }
        public virtual ICollection<TrialDictionary> TrialDicList { get; set; }

        [StringLength(100)]
        public string Code { get; set; } = string.Empty;

        [StringLength(512)]
        public string Indication { get; set; } = string.Empty;

        public int TrialStatus { get; set; }

        [StringLength(500)]
        public string TrialStatusStr { get; set; } = string.Empty;

        [StringLength(50)]

        [ForeignKey("CROId")]
        public CRO CRO { get; set; }
        public string Phase { get; set; } = string.Empty;

        public List<Enroll> EnrollList { get; set; }

        [ForeignKey("ReviewModeId")]
        public Dictionary ReviewMode { get; set; }

        public Guid ReviewTypeId { get; set; } = Guid.Empty;

        public Guid CriterionId { get; set; } = Guid.Empty;

        public Guid? CROId { get; set; }

        public Guid? SponsorId { get; set; }

        [StringLength(500)]
        public string TurnaroundTime { get; set; } = string.Empty;

        public Guid? ReviewModeId { get; set; }

        public int ExpectedPatients { get; set; }

        public int TimePointsPerPatient { get; set; }

        public int GRRReviewers { get; set; }

        public int TotalReviewers { get; set; }

        [StringLength(500)]
        public string ReviewProtocol { get; set; } = string.Empty;

        [StringLength(500)]
        public string MessageFromClient { get; set; } = string.Empty;

        public string Note { get; set; } = string.Empty;


        public string ReviewProtocolName { get; set; } = string.Empty;
        public string MessageFromClientName { get; set; } = string.Empty;
        public int Expedited { get; set; }

        public DateTime CreateTime { get; set; }

        public Guid CreateUserId { get; set; }

        public DateTime UpdateTime { get; set; }

        public Guid UpdateUserId { get; set; }
        public int AttendedReviewerType { get; set; } = 0;//0ȫйҽ 1ҽ  2йҽҲҽ

        public bool VisitPlanConfirmed { get; set; }
    }
}
